---
- file:
    path: /etc/gitlab-runner
    state: directory
    mode: 0755

- name: Install correct version of docker-py
  pip: name=docker-py 
  
- name: Pull Runner image
  docker_image: 
    name: gitlab/gitlab-runner:{{ gitlab_runner }}

- name: Start Runner container
  docker_container:
    name: gitlab-runner
    image: gitlab/gitlab-runner:{{ gitlab_runner }}
    state: started
    restart: yes
    volumes:
      - /etc/gitlab-runner:/etc/gitlab-runner
      - /var/run/docker.sock:/var/run/docker.sock

- debug: 
    msg: [ 
           "Container Gitlab-Runner {{ gitlab_runner }} has been deployed",
           "to the virtual machine.",
           "-------------------------------------",
           "To register the runner ssh to the virtual machine and execute: ",
           "sudo docker exec -it gitlab-runner gitlab-runner register"
           ]

           
